## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-mpd2
Version:        3.1.0
Release:        %autorelease
Summary:        Python library providing a client interface for MPD

License:        LGPL-3.0-or-later
URL:            https://github.com/Mic92/python-mpd2
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0:         0001-Skip-asyncio-unit-tests-in-Python-3.12.patch

BuildArch:      noarch
BuildRequires:  %{_bindir}/tox

%description
Python library providing a client interface for MPD.

%package -n python3-mpd2
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Summary:        Python 3 mpd2 module

%description -n python3-mpd2
Python3 library providing a client interface for MPD.


%package doc
Summary:    Examples for %{name}

%description doc
This package contains examples for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1
echo "whitelist_externals = coverage" >> tox.ini

# Remove unecessary shebang
sed -i '/^#!\/usr\/bin\/env.*python$/ d' mpd/tests.py

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mpd

%check
%{tox}

%files -n python3-mpd2 -f %{pyproject_files}
%doc README.rst

%files doc
%license LICENSE.txt
%doc examples


%changelog
* Fri Oct 13 2023 FeRD (Frank Dana) <ferdnyc@gmail.com> - 3.1.0-5
- Re-add sources file

* Fri Oct 13 2023 FeRD (Frank Dana) <ferdnyc@gmail.com> - 3.1.0-4
- Patch out asyncio unit tests on Python 3.12+

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 28 2023 Python Maint <python-maint@redhat.com> - 3.1.0-2
- Rebuilt for Python 3.12

* Mon May 01 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 3.1.0-1
- feat: update to 3.1.0 (fixes rhbz#2171135)

* Mon May 01 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 3.0.5-6
- feat: convert to spdx licensing

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 3.0.5-3
- Rebuilt for Python 3.11

* Wed Feb 09 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 3.0.5-2
- chore: bump for branch

* Tue Feb 08 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 3.0.5-1
- feat: update to 3.0.5 (fixes rhbz#2041797)

* Tue Feb 08 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 3.0.4-6
- feat: use pyproject macros
